annotations
Create annotations tasks
Requires scopes: eval:write
POST
/
api
/
annotations
/
tasks
Create annotations tasks
curl --request POST \
--url https://evalgate.com/api/annotations/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "<string>",
"name": "<string>",
"description": "<string>",
"annotationSettings": {
"multipleAnnotators": {
"annotatorsPerItem": 123,
"minAgreementScore": 123
},
"qualityControl": {
"minAnnotationsPerItem": 123,
"maxAnnotationsPerAnnotator": 123
}
}
}
'import requests
url = "https://evalgate.com/api/annotations/tasks"
payload = {
"type": "<string>",
"name": "<string>",
"description": "<string>",
"annotationSettings": {
"multipleAnnotators": {
"annotatorsPerItem": 123,
"minAgreementScore": 123
},
"qualityControl": {
"minAnnotationsPerItem": 123,
"maxAnnotationsPerAnnotator": 123
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: '<string>',
name: '<string>',
description: '<string>',
annotationSettings: {
multipleAnnotators: {annotatorsPerItem: 123, minAgreementScore: 123},
qualityControl: {minAnnotationsPerItem: 123, maxAnnotationsPerAnnotator: 123}
}
})
};
fetch('https://evalgate.com/api/annotations/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"status": "<string>",
"id": 123,
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"createdBy": "<string>",
"totalItems": 123,
"completedItems": 123,
"annotationSettings": {
"guidelines": "<string>",
"labelSchema": {},
"allowMultipleAnnotators": false,
"labelTaxonomyVersion": "<string>",
"requiredEvidence": false
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
⌘I
Create annotations tasks
